> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ticketslevel

> Ticket Security Level

## "ticketslevel" MDO List

Ticket Security Level

Implemented by the <see cref="T:SuperOffice.CRM.Lists.TicketSLevelProvider">TicketSLevelProvider</see> class.
The name of the MDO list is 'ticketslevel'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/ticketslevel
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("ticketslevel", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name     | StyleHint | ExtraInfo |
| -- | -------- | --------- | --------- |
| 0  | Unknown  |           | Unknown   |
| 1  | Internal |           | Internal  |
| 2  | External |           | External  |

## Related MDO Lists

* "ticketslevelheadings"
* "ticketslevelheadingswithallitem"
* "ticketslevelheadingswithallitemwithnoselection"
* "ticketslevelheadingswithnoselection"
* "ticketslevelwithallitem"
* "ticketslevelwithallitemwithnoselection"
* "ticketslevelwithnoselection"


## Related topics

- [SuperOffice.WebApi.Data.TicketSecurityLevel](/en/api/reference/webapi/SuperOffice.WebApi.Data.TicketSecurityLevel.md)
- [Reply template variables (Service)](/en/knowledge-base/learn/reply-templates/template-variables.md)
- [TicketMessage](/en/api/archive-providers/reference/ticketmessage.md)
- [SuperOffice.WebApi.Data](/en/api/reference/webapi/SuperOffice.WebApi.Data.md)
- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
- [Http Post Save Ticket Message Entity With Notify](/en/api/reference/restful/rest/ticketmessage/http-post-save-ticket-message-entity-with-notify.md)
